com.io7m.r2.core

## Class R2TranslucentRenderer

- java.lang.Object
- - com.io7m.r2.core.R2TranslucentRenderer

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2TranslucentRendererType

      public final class R2TranslucentRenderer
      extends Object
      implements R2TranslucentRendererType

  The default implementation of the `R2TranslucentRendererType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g3)` Delete the current object.
    `boolean` | `isDeleted()`
    `static R2TranslucentRendererType` | `newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g33)`
    `void` | `renderTranslucents(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, Optional<R2ImageBufferUsableType> ibuffer, com.io7m.jcanephora.profiler.JCGLProfilingContextType pc, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2ShadowMapContextUsableType in_shadows, R2MatricesObserverType m, List<R2TranslucentType<?>> s)` Render the given translucents into the given image buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newRenderer

          public static R2TranslucentRendererType newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g33)

      Parameters:
        `g33` - A GL interface
      Returns:
        A new translucent renderer

    - #### renderTranslucents

          public void renderTranslucents(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                         Optional<R2ImageBufferUsableType> ibuffer,
                                         com.io7m.jcanephora.profiler.JCGLProfilingContextType pc,
                                         com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                         R2ShadowMapContextUsableType in_shadows,
                                         R2MatricesObserverType m,
                                         List<R2TranslucentType<?>> s)

      Description copied from interface: `R2TranslucentRendererType`

      Render the given translucents into the given image buffer.

      If an image buffer is provided, it will be bound before evaluation and left bound after the method returns.

      Specified by:
        `renderTranslucents` in interface `R2TranslucentRendererType`
      Parameters:
        `area` - The output viewport
        `ibuffer` - The output image buffer
        `pc` - A profiling context
        `uc` - A texture unit context
        `in_shadows` - A set of rendered shadow maps
        `m` - A matrix context
        `s` - The translucents

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g3)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g3` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

Copyright © 2017 <code@io7m.com> http://io7m.com